Subject: Re: bug#42243: About a Potential Change/Bug That Might Have Rendered cdlatex Mostly Dysfunctional

From: Ikumi Keita <[email-masked]>
Date: Wed, 08 Jul 2020 15:53:02 +0900

Hi Semih,

[ Please keep Cc:[email-masked] when you reply so that someone
who reads the archived thread later can follow the discussion. ]

>>>>> SEMIH KACMAZ <[email-masked]> writes:
> Hello Ikumi,
> Thanks for the reply and verification of the issue. TeX-parse-self option
> was already enabled in my config file. However, after checking
> "texmathp.el" I figured that customizing the texmathp-tex-commands variable
> should solve my problem. Now everything is back to normal. Yet, your
> response makes me feel that my "solution" was merely a work-around and the
> actual solution might be adding the style folder TeX-style-path or
> something similar. 

I wonder why texmathp-tex-commands-default isn't updated properly even
when TeX-parse-self is enabled. If you provide us sample LaTeX file and
the part of your config file relevant to AUCTeX and CDLaTeX, we can
investigate the issue.

> Of course, this is only a speculation on my part as I did not check
> its viability.

> Thank you again for your time and consideration,

You are welcome.

Regards,
Ikumi Keita